package cn.axzo.msg.center.service.pending.request;

import cn.axzo.msg.center.service.enums.CardBizState;
import cn.axzo.msg.center.service.enums.CardState;
import lombok.Getter;
import lombok.Setter;

/**
 * @author yanglin
 */
@Setter
@Getter
public class CardStateInfo {

    /**
     * 业务状态, 结合模版配置控制状态戳(状态图片). 创建卡片时必填，更新时选填
     */
    private CardBizState bizState;

    /**
     * 卡片状态, 结合模版配置控制按钮的可见性. 创建卡片时必填，更新时选填
     */
    private CardState cardState;

    /**
     * 构建对象
     */
    public static CardStateInfo create(CardState cardState, CardBizState bizState) {
        CardStateInfo cardStateInfo = new CardStateInfo();
        cardStateInfo.setBizState(bizState);
        cardStateInfo.setCardState(cardState);
        return cardStateInfo;
    }

}